package com.chaozhanggui.dao.system.dao;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chaozhanggui.dao.system.entity.TbPlussIdCard;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

@Component
@Mapper
public interface TbPlussIdCardMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TbPlussIdCard record);

    int insertSelective(TbPlussIdCard record);

    TbPlussIdCard selectByPrimaryKey(Integer id);
    TbPlussIdCard selectCertByUserId(Integer userId, String type);

    int updateByPrimaryKeySelective(TbPlussIdCard record);

    int updateByPrimaryKey(TbPlussIdCard record);

    /**
     * 法人进件
     * @return
     */
    TbPlussIdCard getLegalIdCard(@Param("userId") String userId);
}